New Acekard 2i

Discussion in 'Acekard' started by radman96, May 14, 2011.

  1. radman96
    OP

    radman96 Member

    Newcomer
    17
    0
    Sep 14, 2009
    Canada
    Canada
    i just bought a new acekard 2i and it says on the box that it is dsi(xl) and 3ds compatible. do i hav to do the update or is it good enough to run?
     
  2. rockstar99

    rockstar99 Hi

    Member
    7,375
    156
    Dec 3, 2008
    Canada
    Toronto
    Wrong section.

    It will work if your DSi is not 1.4.2
     
  3. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ The saint of all the sinners

    Member
    18,356
    17,918
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Really wrong section and it should work out of the box with the current 3DS firmware, but will not work on the current DSi firmware. You will need to wait for an update on that.
    Unless your card didn't come with the firmware installed, from there you will need to update it, but I suggest waiting since honestly you can't use it now on the DSi
     
  4. radman96
    OP

    radman96 Member

    Newcomer
    17
    0
    Sep 14, 2009
    Canada
    Canada
    k thank you [​IMG] and wen i posted the topic i selected no icon for the subject but it ended up like this